org.eclipse.viatra.query.patternlanguage.emf.services

## Class EMFPatternLanguageGrammarAccess.PatternCallElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.emf.services.EMFPatternLanguageGrammarAccess.PatternCallElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    EMFPatternLanguageGrammarAccess

      public class EMFPatternLanguageGrammarAccess.PatternCallElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternCallElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Keyword` | `getCommaKeyword_4_1_0()`
    `org.eclipse.xtext.Keyword` | `getFindKeyword_0()`
    `org.eclipse.xtext.Group` | `getGroup_4_1()`
    `org.eclipse.xtext.Group` | `getGroup_4()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Keyword` | `getLeftParenthesisKeyword_3()`
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_4_0()`
    `org.eclipse.xtext.Assignment` | `getParametersAssignment_4_1_1()`
    `org.eclipse.xtext.RuleCall` | `getParametersValueReferenceParserRuleCall_4_0_0()`
    `org.eclipse.xtext.RuleCall` | `getParametersValueReferenceParserRuleCall_4_1_1_0()`
    `org.eclipse.xtext.Assignment` | `getPatternRefAssignment_1()`
    `org.eclipse.xtext.CrossReference` | `getPatternRefPatternCrossReference_1_0()`
    `org.eclipse.xtext.RuleCall` | `getPatternRefPatternQualifiedNameParserRuleCall_1_0_1()`
    `org.eclipse.xtext.Keyword` | `getRightParenthesisKeyword_5()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Assignment` | `getTransitiveAssignment_2()`
    `org.eclipse.xtext.RuleCall` | `getTransitiveClosureTypeEnumRuleCall_2_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternCallElements

          public PatternCallElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getFindKeyword_0

          public org.eclipse.xtext.Keyword getFindKeyword_0()

    - #### getPatternRefAssignment_1

          public org.eclipse.xtext.Assignment getPatternRefAssignment_1()

    - #### getPatternRefPatternCrossReference_1_0

          public org.eclipse.xtext.CrossReference getPatternRefPatternCrossReference_1_0()

    - #### getPatternRefPatternQualifiedNameParserRuleCall_1_0_1

          public org.eclipse.xtext.RuleCall getPatternRefPatternQualifiedNameParserRuleCall_1_0_1()

    - #### getTransitiveAssignment_2

          public org.eclipse.xtext.Assignment getTransitiveAssignment_2()

    - #### getTransitiveClosureTypeEnumRuleCall_2_0

          public org.eclipse.xtext.RuleCall getTransitiveClosureTypeEnumRuleCall_2_0()

    - #### getLeftParenthesisKeyword_3

          public org.eclipse.xtext.Keyword getLeftParenthesisKeyword_3()

    - #### getGroup_4

          public org.eclipse.xtext.Group getGroup_4()

    - #### getParametersAssignment_4_0

          public org.eclipse.xtext.Assignment getParametersAssignment_4_0()

    - #### getParametersValueReferenceParserRuleCall_4_0_0

          public org.eclipse.xtext.RuleCall getParametersValueReferenceParserRuleCall_4_0_0()

    - #### getGroup_4_1

          public org.eclipse.xtext.Group getGroup_4_1()

    - #### getCommaKeyword_4_1_0

          public org.eclipse.xtext.Keyword getCommaKeyword_4_1_0()

    - #### getParametersAssignment_4_1_1

          public org.eclipse.xtext.Assignment getParametersAssignment_4_1_1()

    - #### getParametersValueReferenceParserRuleCall_4_1_1_0

          public org.eclipse.xtext.RuleCall getParametersValueReferenceParserRuleCall_4_1_1_0()

    - #### getRightParenthesisKeyword_5

          public org.eclipse.xtext.Keyword getRightParenthesisKeyword_5()